Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Interaction.Highlighting.Common

Description

Common syntax highlighting functions for Emacs and JSON

Synopsis

- toAtoms :: Aspects -> [String]
- chooseHighlightingMethod :: HighlightingInfo -> HighlightingMethod -> HighlightingMethod

# Documentation

toAtoms :: Aspects -> [String] Source #

Converts the `aspect` and `otherAspects` fields to strings that are friendly to editors.

chooseHighlightingMethod :: HighlightingInfo -> HighlightingMethod -> HighlightingMethod Source #

Choose which method to use based on HighlightingInfo and HighlightingMethod